This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 592208 - Review Request: apache-commons-daemon - rename of jakarta-commons-daemon
Review Request: apache-commons-daemon - rename of jakarta-commons-daemon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-05-14 05:04 EDT by Stanislav Ochotnicky
Modified: 2010-06-08 04:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 04:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mat.booth: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-05-14 05:04:57 EDT
Note that this is a re-review of existing package

Spec URL: http://sochotni.fedorapeople.org/apache-commons-daemon.spec
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-daemon-1.0.2-1.fc12.src.rpm
Description: 

The scope of this package is to define an API in line with the current
Java(tm) Platform APIs to support an alternative invocation mechanism
which could be used instead of the public static void main(String[])
method.  This specification covers the behavior and life cycle of what
we define as Java(tm) daemons, or, in other words, non interactive
Java(tm) applications.
Comment 1 Mat Booth 2010-05-17 19:02:46 EDT
I can do this one.
Comment 2 Alexander Kurtakov 2010-05-21 08:13:04 EDT
(In reply to comment #1)
> I can do this one.    

when you take a package you're supposed to change the status to Assigned
Comment 3 Stanislav Ochotnicky 2010-05-21 08:33:36 EDT
Also set the fedora-review flag to '?' :-)
Comment 4 Mat Booth 2010-05-21 08:46:26 EDT
Ugh,  could have sworn I did that, what a half-job i'm doing. Good job nobody's paying me to do this  :-)
Comment 5 Mat Booth 2010-05-31 12:43:12 EDT
Does the final argument to %add_to_maven_depmap need to be %{short_name} like the other commons packages? And does it also need to contain the legacy depmap for backwards compatibility?
Comment 6 Stanislav Ochotnicky 2010-06-01 03:20:11 EDT
You were correct on both accounts. Fixed in r2 together with few other tweaks:

SRPM URL: http://sochotni.fedorapeople.org/apache-commons-daemon-1.0.2-2.fc13.src.rpm
Spec URL: http://sochotni.fedorapeople.org/apache-commons-daemon.spec
Comment 7 Mat Booth 2010-06-03 17:51:04 EDT
This package looks good. I'm happy that all the rpmlint output is false, unless you really want to capitalise the (TM) trademark symbol...

The only thing I'd say is that it looks to me like only the jsvc sub-package contains anything arch-specific. The base package and the javadoc sub-package could (should?) be noarch. If you do that for release 3, then consider this package APPROVED!
Comment 8 Stanislav Ochotnicky 2010-06-04 03:18:23 EDT
I wanted to make only jsvc subpackage arch specific, but apparently there is no way to instruct rpm to do this. You can either have whole package (and subpackages) arch specific or noach. There is no way to mix-and-match. At least that's what I was told when I asked the RPM guys. If there is a way to do this, it's probably a hack...

As for the TM, according to our guidelines it should not even be there (https://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description). So I will remove it before commiting to CVS.

In good faith that I explained those two issues...Requesting CVS:

Thanks. Requesting CVS:

New Package CVS Request
=======================
Package Name: apache-commons-daemon
Short Description: Defines API to support an alternative invocation mechanism
Owners: sochotni
Branches: 
InitialCC:
Comment 9 Mat Booth 2010-06-04 04:43:00 EDT
(In reply to comment #8)
> I wanted to make only jsvc subpackage arch specific, but apparently there is no
> way to instruct rpm to do this. You can either have whole package (and
> subpackages) arch specific or noach. There is no way to mix-and-match. At least
> that's what I was told when I asked the RPM guys. If there is a way to do this,
> it's probably a hack...
> 

It's no hack. With version 4.6.0 RPM supports sub-packages being noarch by just adding "BuildArch: noarch" to their sub-package section in the spec file.

Please do so for at least the javadoc package.
Comment 10 Stanislav Ochotnicky 2010-06-04 05:05:39 EDT
Ah, you are(In reply to comment #9)
> (In reply to comment #8)
> > I wanted to make only jsvc subpackage arch specific, but apparently there is no
> > way to instruct rpm to do this. You can either have whole package (and
> > subpackages) arch specific or noach. There is no way to mix-and-match. At least
> > that's what I was told when I asked the RPM guys. If there is a way to do this,
> > it's probably a hack...
> > 
> 
> It's no hack. With version 4.6.0 RPM supports sub-packages being noarch by just
> adding "BuildArch: noarch" to their sub-package section in the spec file.

Yes, but what is really needed here is to have main package noarch, and one subpackage arch specific...and that is apparently not possible now.

> Please do so for at least the javadoc package.    

This is true, and fixed in r3

SRPM URL:
http://sochotni.fedorapeople.org/apache-commons-daemon-1.0.2-3.fc13.src.rpm
Spec URL: http://sochotni.fedorapeople.org/apache-commons-daemon.spec
Comment 11 Mat Booth 2010-06-04 05:40:24 EDT
Ok, thanks. :-)
Comment 12 Kevin Fenzi 2010-06-07 16:53:36 EDT
CVS done (by process-cvs-requests.py).
Comment 13 Stanislav Ochotnicky 2010-06-08 04:06:15 EDT
Package built on koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2237470


Thanks all.

Note You need to log in before you can comment on or make changes to this bug.